/*
 * DO NOT EDIT.  THIS FILE IS GENERATED FROM IFirePhish.idl
 */

#ifndef __gen_IFirePhish_h__
#define __gen_IFirePhish_h__


#ifndef __gen_nsISupports_h__
#include "nsISupports.h"
#endif

#ifndef __gen_nsIMemory_h__
#include "nsIMemory.h"
#endif

/* For IDL files that don't want to include root IDL files. */
#ifndef NS_NO_VTABLE
#define NS_NO_VTABLE
#endif

/* starting interface:    IFirePhish */
#define IFIREPHISH_IID_STR "05d43694-8abf-11da-9559-00e08161165f"

#define IFIREPHISH_IID \
  {0x05d43694, 0x8abf, 0x11da, \
    { 0x95, 0x59, 0x00, 0xe0, 0x81, 0x61, 0x16, 0x5f }}

class NS_NO_VTABLE IFirePhish : public nsISupports {
 public: 

  NS_DEFINE_STATIC_IID_ACCESSOR(IFIREPHISH_IID)

  /** Returns the risk level: 
   *  0 - unknown
   *  1 - low
   *  2 - medium
   *  3 - high
   */
  /* long CheckURL (in string url_str); */
  NS_IMETHOD CheckURL(const char *url_str, PRInt32 *_retval) = 0;

  /** Returns the full name of the country */
  /* string GetCountry (); */
  NS_IMETHOD GetCountry(char **_retval) = 0;

  /** Returns the comments about the (phishy) site */
  /* string GetComments (); */
  NS_IMETHOD GetComments(char **_retval) = 0;

  /** Methods for returning latest results information */
  /* long GetResultServer (); */
  NS_IMETHOD GetResultServer(PRInt32 *_retval) = 0;

  /* long GetResultIP (); */
  NS_IMETHOD GetResultIP(PRInt32 *_retval) = 0;

  /* long GetResultPath (); */
  NS_IMETHOD GetResultPath(PRInt32 *_retval) = 0;

  /* long GetResultDomain (); */
  NS_IMETHOD GetResultDomain(PRInt32 *_retval) = 0;

  /* long GetResultUserScheme (); */
  NS_IMETHOD GetResultUserScheme(PRInt32 *_retval) = 0;

  /* long GetResultSuspiciousHost (); */
  NS_IMETHOD GetResultSuspiciousHost(PRInt32 *_retval) = 0;

  /* boolean CheckSafeList (in string url_str); */
  NS_IMETHOD CheckSafeList(const char *url_str, PRBool *_retval) = 0;

  /** Configuration handling */
  /* void SetRunningMode (in long mode); */
  NS_IMETHOD SetRunningMode(PRInt32 mode) = 0;

  /* void SetSiteQueryURL (in string url); */
  NS_IMETHOD SetSiteQueryURL(const char *url) = 0;

  /* void SetCountryQueryURL (in string url); */
  NS_IMETHOD SetCountryQueryURL(const char *url) = 0;

  /* void SetReportSiteURL (in string url); */
  NS_IMETHOD SetReportSiteURL(const char *url) = 0;

  /* void SetRemoteXMLURL (in string url); */
  NS_IMETHOD SetRemoteXMLURL(const char *url) = 0;

  /* void SetLocalXMLFile (in string path); */
  NS_IMETHOD SetLocalXMLFile(const char *path) = 0;

  /* void SetSafeListFile (in string path); */
  NS_IMETHOD SetSafeListFile(const char *path) = 0;

  /* long GetRunningMode (); */
  NS_IMETHOD GetRunningMode(PRInt32 *_retval) = 0;

  /* string GetSiteQueryURL (); */
  NS_IMETHOD GetSiteQueryURL(char **_retval) = 0;

  /* string GetCountryQueryURL (); */
  NS_IMETHOD GetCountryQueryURL(char **_retval) = 0;

  /* string GetReportSiteURL (); */
  NS_IMETHOD GetReportSiteURL(char **_retval) = 0;

  /* string GetRemoteXMLURL (); */
  NS_IMETHOD GetRemoteXMLURL(char **_retval) = 0;

  /* string GetLocalXMLFile (); */
  NS_IMETHOD GetLocalXMLFile(char **_retval) = 0;

  /* string GetSafeListFile (); */
  NS_IMETHOD GetSafeListFile(char **_retval) = 0;

  /** Returns the URL in the next element of the safe list.
   *  If there's no next item, "" is returned.
   */
  /* string GetSafelistNext (); */
  NS_IMETHOD GetSafelistNext(char **_retval) = 0;

  /** Given a URL of a site to report, return a URL that the client should go
   *  to.
   */
  /* string GetReportingURL (in string url); */
  NS_IMETHOD GetReportingURL(const char *url, char **_retval) = 0;

  /** Make m_safelist point to a newly created safelist. */
  /* void CreateNewSafeList (); */
  NS_IMETHOD CreateNewSafeList(void) = 0;

  /** Adds 'url' to the SafeList pointed to by m_safelist */
  /* void AddToSafeList (in string url); */
  NS_IMETHOD AddToSafeList(const char *url) = 0;

  /** Adds 'url' to the current Safe List in use. */
  /* void AddToCurrentSafeList (in string url); */
  NS_IMETHOD AddToCurrentSafeList(const char *url) = 0;

  /** Makes m_safelist the new safelist. */
  /* void SetSafeList (); */
  NS_IMETHOD SetSafeList(void) = 0;

  /** Download the remote XML file (if it was changed since last update) */
  /* void UpdateXML (); */
  NS_IMETHOD UpdateXML(void) = 0;

  /** Restest the 'latest_results' member object */
  /* void ResetResults (); */
  NS_IMETHOD ResetResults(void) = 0;

  /** Return the latest URL which was checked */
  /* string GetLatestURL (); */
  NS_IMETHOD GetLatestURL(char **_retval) = 0;

  /** Initializes libphish */
  /* void InitPhish (in string agent, in string cver); */
  NS_IMETHOD InitPhish(const char *agent, const char *cver) = 0;

  /** Check only the country of a site */
  /* void CheckCountry (in string url); */
  NS_IMETHOD CheckCountry(const char *url) = 0;

};

/* Use this macro when declaring classes that implement this interface. */
#define NS_DECL_IFIREPHISH \
  NS_IMETHOD CheckURL(const char *url_str, PRInt32 *_retval); \
  NS_IMETHOD GetCountry(char **_retval); \
  NS_IMETHOD GetComments(char **_retval); \
  NS_IMETHOD GetResultServer(PRInt32 *_retval); \
  NS_IMETHOD GetResultIP(PRInt32 *_retval); \
  NS_IMETHOD GetResultPath(PRInt32 *_retval); \
  NS_IMETHOD GetResultDomain(PRInt32 *_retval); \
  NS_IMETHOD GetResultUserScheme(PRInt32 *_retval); \
  NS_IMETHOD GetResultSuspiciousHost(PRInt32 *_retval); \
  NS_IMETHOD CheckSafeList(const char *url_str, PRBool *_retval); \
  NS_IMETHOD SetRunningMode(PRInt32 mode); \
  NS_IMETHOD SetSiteQueryURL(const char *url); \
  NS_IMETHOD SetCountryQueryURL(const char *url); \
  NS_IMETHOD SetReportSiteURL(const char *url); \
  NS_IMETHOD SetRemoteXMLURL(const char *url); \
  NS_IMETHOD SetLocalXMLFile(const char *path); \
  NS_IMETHOD SetSafeListFile(const char *path); \
  NS_IMETHOD GetRunningMode(PRInt32 *_retval); \
  NS_IMETHOD GetSiteQueryURL(char **_retval); \
  NS_IMETHOD GetCountryQueryURL(char **_retval); \
  NS_IMETHOD GetReportSiteURL(char **_retval); \
  NS_IMETHOD GetRemoteXMLURL(char **_retval); \
  NS_IMETHOD GetLocalXMLFile(char **_retval); \
  NS_IMETHOD GetSafeListFile(char **_retval); \
  NS_IMETHOD GetSafelistNext(char **_retval); \
  NS_IMETHOD GetReportingURL(const char *url, char **_retval); \
  NS_IMETHOD CreateNewSafeList(void); \
  NS_IMETHOD AddToSafeList(const char *url); \
  NS_IMETHOD AddToCurrentSafeList(const char *url); \
  NS_IMETHOD SetSafeList(void); \
  NS_IMETHOD UpdateXML(void); \
  NS_IMETHOD ResetResults(void); \
  NS_IMETHOD GetLatestURL(char **_retval); \
  NS_IMETHOD InitPhish(const char *agent, const char *cver); \
  NS_IMETHOD CheckCountry(const char *url); 

/* Use this macro to declare functions that forward the behavior of this interface to another object. */
#define NS_FORWARD_IFIREPHISH(_to) \
  NS_IMETHOD CheckURL(const char *url_str, PRInt32 *_retval) { return _to CheckURL(url_str, _retval); } \
  NS_IMETHOD GetCountry(char **_retval) { return _to GetCountry(_retval); } \
  NS_IMETHOD GetComments(char **_retval) { return _to GetComments(_retval); } \
  NS_IMETHOD GetResultServer(PRInt32 *_retval) { return _to GetResultServer(_retval); } \
  NS_IMETHOD GetResultIP(PRInt32 *_retval) { return _to GetResultIP(_retval); } \
  NS_IMETHOD GetResultPath(PRInt32 *_retval) { return _to GetResultPath(_retval); } \
  NS_IMETHOD GetResultDomain(PRInt32 *_retval) { return _to GetResultDomain(_retval); } \
  NS_IMETHOD GetResultUserScheme(PRInt32 *_retval) { return _to GetResultUserScheme(_retval); } \
  NS_IMETHOD GetResultSuspiciousHost(PRInt32 *_retval) { return _to GetResultSuspiciousHost(_retval); } \
  NS_IMETHOD CheckSafeList(const char *url_str, PRBool *_retval) { return _to CheckSafeList(url_str, _retval); } \
  NS_IMETHOD SetRunningMode(PRInt32 mode) { return _to SetRunningMode(mode); } \
  NS_IMETHOD SetSiteQueryURL(const char *url) { return _to SetSiteQueryURL(url); } \
  NS_IMETHOD SetCountryQueryURL(const char *url) { return _to SetCountryQueryURL(url); } \
  NS_IMETHOD SetReportSiteURL(const char *url) { return _to SetReportSiteURL(url); } \
  NS_IMETHOD SetRemoteXMLURL(const char *url) { return _to SetRemoteXMLURL(url); } \
  NS_IMETHOD SetLocalXMLFile(const char *path) { return _to SetLocalXMLFile(path); } \
  NS_IMETHOD SetSafeListFile(const char *path) { return _to SetSafeListFile(path); } \
  NS_IMETHOD GetRunningMode(PRInt32 *_retval) { return _to GetRunningMode(_retval); } \
  NS_IMETHOD GetSiteQueryURL(char **_retval) { return _to GetSiteQueryURL(_retval); } \
  NS_IMETHOD GetCountryQueryURL(char **_retval) { return _to GetCountryQueryURL(_retval); } \
  NS_IMETHOD GetReportSiteURL(char **_retval) { return _to GetReportSiteURL(_retval); } \
  NS_IMETHOD GetRemoteXMLURL(char **_retval) { return _to GetRemoteXMLURL(_retval); } \
  NS_IMETHOD GetLocalXMLFile(char **_retval) { return _to GetLocalXMLFile(_retval); } \
  NS_IMETHOD GetSafeListFile(char **_retval) { return _to GetSafeListFile(_retval); } \
  NS_IMETHOD GetSafelistNext(char **_retval) { return _to GetSafelistNext(_retval); } \
  NS_IMETHOD GetReportingURL(const char *url, char **_retval) { return _to GetReportingURL(url, _retval); } \
  NS_IMETHOD CreateNewSafeList(void) { return _to CreateNewSafeList(); } \
  NS_IMETHOD AddToSafeList(const char *url) { return _to AddToSafeList(url); } \
  NS_IMETHOD AddToCurrentSafeList(const char *url) { return _to AddToCurrentSafeList(url); } \
  NS_IMETHOD SetSafeList(void) { return _to SetSafeList(); } \
  NS_IMETHOD UpdateXML(void) { return _to UpdateXML(); } \
  NS_IMETHOD ResetResults(void) { return _to ResetResults(); } \
  NS_IMETHOD GetLatestURL(char **_retval) { return _to GetLatestURL(_retval); } \
  NS_IMETHOD InitPhish(const char *agent, const char *cver) { return _to InitPhish(agent, cver); } \
  NS_IMETHOD CheckCountry(const char *url) { return _to CheckCountry(url); } 

/* Use this macro to declare functions that forward the behavior of this interface to another object in a safe way. */
#define NS_FORWARD_SAFE_IFIREPHISH(_to) \
  NS_IMETHOD CheckURL(const char *url_str, PRInt32 *_retval) { return !_to ? NS_ERROR_NULL_POINTER : _to->CheckURL(url_str, _retval); } \
  NS_IMETHOD GetCountry(char **_retval) { return !_to ? NS_ERROR_NULL_POINTER : _to->GetCountry(_retval); } \
  NS_IMETHOD GetComments(char **_retval) { return !_to ? NS_ERROR_NULL_POINTER : _to->GetComments(_retval); } \
  NS_IMETHOD GetResultServer(PRInt32 *_retval) { return !_to ? NS_ERROR_NULL_POINTER : _to->GetResultServer(_retval); } \
  NS_IMETHOD GetResultIP(PRInt32 *_retval) { return !_to ? NS_ERROR_NULL_POINTER : _to->GetResultIP(_retval); } \
  NS_IMETHOD GetResultPath(PRInt32 *_retval) { return !_to ? NS_ERROR_NULL_POINTER : _to->GetResultPath(_retval); } \
  NS_IMETHOD GetResultDomain(PRInt32 *_retval) { return !_to ? NS_ERROR_NULL_POINTER : _to->GetResultDomain(_retval); } \
  NS_IMETHOD GetResultUserScheme(PRInt32 *_retval) { return !_to ? NS_ERROR_NULL_POINTER : _to->GetResultUserScheme(_retval); } \
  NS_IMETHOD GetResultSuspiciousHost(PRInt32 *_retval) { return !_to ? NS_ERROR_NULL_POINTER : _to->GetResultSuspiciousHost(_retval); } \
  NS_IMETHOD CheckSafeList(const char *url_str, PRBool *_retval) { return !_to ? NS_ERROR_NULL_POINTER : _to->CheckSafeList(url_str, _retval); } \
  NS_IMETHOD SetRunningMode(PRInt32 mode) { return !_to ? NS_ERROR_NULL_POINTER : _to->SetRunningMode(mode); } \
  NS_IMETHOD SetSiteQueryURL(const char *url) { return !_to ? NS_ERROR_NULL_POINTER : _to->SetSiteQueryURL(url); } \
  NS_IMETHOD SetCountryQueryURL(const char *url) { return !_to ? NS_ERROR_NULL_POINTER : _to->SetCountryQueryURL(url); } \
  NS_IMETHOD SetReportSiteURL(const char *url) { return !_to ? NS_ERROR_NULL_POINTER : _to->SetReportSiteURL(url); } \
  NS_IMETHOD SetRemoteXMLURL(const char *url) { return !_to ? NS_ERROR_NULL_POINTER : _to->SetRemoteXMLURL(url); } \
  NS_IMETHOD SetLocalXMLFile(const char *path) { return !_to ? NS_ERROR_NULL_POINTER : _to->SetLocalXMLFile(path); } \
  NS_IMETHOD SetSafeListFile(const char *path) { return !_to ? NS_ERROR_NULL_POINTER : _to->SetSafeListFile(path); } \
  NS_IMETHOD GetRunningMode(PRInt32 *_retval) { return !_to ? NS_ERROR_NULL_POINTER : _to->GetRunningMode(_retval); } \
  NS_IMETHOD GetSiteQueryURL(char **_retval) { return !_to ? NS_ERROR_NULL_POINTER : _to->GetSiteQueryURL(_retval); } \
  NS_IMETHOD GetCountryQueryURL(char **_retval) { return !_to ? NS_ERROR_NULL_POINTER : _to->GetCountryQueryURL(_retval); } \
  NS_IMETHOD GetReportSiteURL(char **_retval) { return !_to ? NS_ERROR_NULL_POINTER : _to->GetReportSiteURL(_retval); } \
  NS_IMETHOD GetRemoteXMLURL(char **_retval) { return !_to ? NS_ERROR_NULL_POINTER : _to->GetRemoteXMLURL(_retval); } \
  NS_IMETHOD GetLocalXMLFile(char **_retval) { return !_to ? NS_ERROR_NULL_POINTER : _to->GetLocalXMLFile(_retval); } \
  NS_IMETHOD GetSafeListFile(char **_retval) { return !_to ? NS_ERROR_NULL_POINTER : _to->GetSafeListFile(_retval); } \
  NS_IMETHOD GetSafelistNext(char **_retval) { return !_to ? NS_ERROR_NULL_POINTER : _to->GetSafelistNext(_retval); } \
  NS_IMETHOD GetReportingURL(const char *url, char **_retval) { return !_to ? NS_ERROR_NULL_POINTER : _to->GetReportingURL(url, _retval); } \
  NS_IMETHOD CreateNewSafeList(void) { return !_to ? NS_ERROR_NULL_POINTER : _to->CreateNewSafeList(); } \
  NS_IMETHOD AddToSafeList(const char *url) { return !_to ? NS_ERROR_NULL_POINTER : _to->AddToSafeList(url); } \
  NS_IMETHOD AddToCurrentSafeList(const char *url) { return !_to ? NS_ERROR_NULL_POINTER : _to->AddToCurrentSafeList(url); } \
  NS_IMETHOD SetSafeList(void) { return !_to ? NS_ERROR_NULL_POINTER : _to->SetSafeList(); } \
  NS_IMETHOD UpdateXML(void) { return !_to ? NS_ERROR_NULL_POINTER : _to->UpdateXML(); } \
  NS_IMETHOD ResetResults(void) { return !_to ? NS_ERROR_NULL_POINTER : _to->ResetResults(); } \
  NS_IMETHOD GetLatestURL(char **_retval) { return !_to ? NS_ERROR_NULL_POINTER : _to->GetLatestURL(_retval); } \
  NS_IMETHOD InitPhish(const char *agent, const char *cver) { return !_to ? NS_ERROR_NULL_POINTER : _to->InitPhish(agent, cver); } \
  NS_IMETHOD CheckCountry(const char *url) { return !_to ? NS_ERROR_NULL_POINTER : _to->CheckCountry(url); } 

#if 0
/* Use the code below as a template for the implementation class for this interface. */

/* Header file */
class _MYCLASS_ : public IFirePhish
{
public:
  NS_DECL_ISUPPORTS
  NS_DECL_IFIREPHISH

  _MYCLASS_();

private:
  ~_MYCLASS_();

protected:
  /* additional members */
};

/* Implementation file */
NS_IMPL_ISUPPORTS1(_MYCLASS_, IFirePhish)

_MYCLASS_::_MYCLASS_()
{
  /* member initializers and constructor code */
}

_MYCLASS_::~_MYCLASS_()
{
  /* destructor code */
}

/* long CheckURL (in string url_str); */
NS_IMETHODIMP _MYCLASS_::CheckURL(const char *url_str, PRInt32 *_retval)
{
    return NS_ERROR_NOT_IMPLEMENTED;
}

/* string GetCountry (); */
NS_IMETHODIMP _MYCLASS_::GetCountry(char **_retval)
{
    return NS_ERROR_NOT_IMPLEMENTED;
}

/* string GetComments (); */
NS_IMETHODIMP _MYCLASS_::GetComments(char **_retval)
{
    return NS_ERROR_NOT_IMPLEMENTED;
}

/* long GetResultServer (); */
NS_IMETHODIMP _MYCLASS_::GetResultServer(PRInt32 *_retval)
{
    return NS_ERROR_NOT_IMPLEMENTED;
}

/* long GetResultIP (); */
NS_IMETHODIMP _MYCLASS_::GetResultIP(PRInt32 *_retval)
{
    return NS_ERROR_NOT_IMPLEMENTED;
}

/* long GetResultPath (); */
NS_IMETHODIMP _MYCLASS_::GetResultPath(PRInt32 *_retval)
{
    return NS_ERROR_NOT_IMPLEMENTED;
}

/* long GetResultDomain (); */
NS_IMETHODIMP _MYCLASS_::GetResultDomain(PRInt32 *_retval)
{
    return NS_ERROR_NOT_IMPLEMENTED;
}

/* long GetResultUserScheme (); */
NS_IMETHODIMP _MYCLASS_::GetResultUserScheme(PRInt32 *_retval)
{
    return NS_ERROR_NOT_IMPLEMENTED;
}

/* long GetResultSuspiciousHost (); */
NS_IMETHODIMP _MYCLASS_::GetResultSuspiciousHost(PRInt32 *_retval)
{
    return NS_ERROR_NOT_IMPLEMENTED;
}

/* boolean CheckSafeList (in string url_str); */
NS_IMETHODIMP _MYCLASS_::CheckSafeList(const char *url_str, PRBool *_retval)
{
    return NS_ERROR_NOT_IMPLEMENTED;
}

/* void SetRunningMode (in long mode); */
NS_IMETHODIMP _MYCLASS_::SetRunningMode(PRInt32 mode)
{
    return NS_ERROR_NOT_IMPLEMENTED;
}

/* void SetSiteQueryURL (in string url); */
NS_IMETHODIMP _MYCLASS_::SetSiteQueryURL(const char *url)
{
    return NS_ERROR_NOT_IMPLEMENTED;
}

/* void SetCountryQueryURL (in string url); */
NS_IMETHODIMP _MYCLASS_::SetCountryQueryURL(const char *url)
{
    return NS_ERROR_NOT_IMPLEMENTED;
}

/* void SetReportSiteURL (in string url); */
NS_IMETHODIMP _MYCLASS_::SetReportSiteURL(const char *url)
{
    return NS_ERROR_NOT_IMPLEMENTED;
}

/* void SetRemoteXMLURL (in string url); */
NS_IMETHODIMP _MYCLASS_::SetRemoteXMLURL(const char *url)
{
    return NS_ERROR_NOT_IMPLEMENTED;
}

/* void SetLocalXMLFile (in string path); */
NS_IMETHODIMP _MYCLASS_::SetLocalXMLFile(const char *path)
{
    return NS_ERROR_NOT_IMPLEMENTED;
}

/* void SetSafeListFile (in string path); */
NS_IMETHODIMP _MYCLASS_::SetSafeListFile(const char *path)
{
    return NS_ERROR_NOT_IMPLEMENTED;
}

/* long GetRunningMode (); */
NS_IMETHODIMP _MYCLASS_::GetRunningMode(PRInt32 *_retval)
{
    return NS_ERROR_NOT_IMPLEMENTED;
}

/* string GetSiteQueryURL (); */
NS_IMETHODIMP _MYCLASS_::GetSiteQueryURL(char **_retval)
{
    return NS_ERROR_NOT_IMPLEMENTED;
}

/* string GetCountryQueryURL (); */
NS_IMETHODIMP _MYCLASS_::GetCountryQueryURL(char **_retval)
{
    return NS_ERROR_NOT_IMPLEMENTED;
}

/* string GetReportSiteURL (); */
NS_IMETHODIMP _MYCLASS_::GetReportSiteURL(char **_retval)
{
    return NS_ERROR_NOT_IMPLEMENTED;
}

/* string GetRemoteXMLURL (); */
NS_IMETHODIMP _MYCLASS_::GetRemoteXMLURL(char **_retval)
{
    return NS_ERROR_NOT_IMPLEMENTED;
}

/* string GetLocalXMLFile (); */
NS_IMETHODIMP _MYCLASS_::GetLocalXMLFile(char **_retval)
{
    return NS_ERROR_NOT_IMPLEMENTED;
}

/* string GetSafeListFile (); */
NS_IMETHODIMP _MYCLASS_::GetSafeListFile(char **_retval)
{
    return NS_ERROR_NOT_IMPLEMENTED;
}

/* string GetSafelistNext (); */
NS_IMETHODIMP _MYCLASS_::GetSafelistNext(char **_retval)
{
    return NS_ERROR_NOT_IMPLEMENTED;
}

/* string GetReportingURL (in string url); */
NS_IMETHODIMP _MYCLASS_::GetReportingURL(const char *url, char **_retval)
{
    return NS_ERROR_NOT_IMPLEMENTED;
}

/* void CreateNewSafeList (); */
NS_IMETHODIMP _MYCLASS_::CreateNewSafeList()
{
    return NS_ERROR_NOT_IMPLEMENTED;
}

/* void AddToSafeList (in string url); */
NS_IMETHODIMP _MYCLASS_::AddToSafeList(const char *url)
{
    return NS_ERROR_NOT_IMPLEMENTED;
}

/* void AddToCurrentSafeList (in string url); */
NS_IMETHODIMP _MYCLASS_::AddToCurrentSafeList(const char *url)
{
    return NS_ERROR_NOT_IMPLEMENTED;
}

/* void SetSafeList (); */
NS_IMETHODIMP _MYCLASS_::SetSafeList()
{
    return NS_ERROR_NOT_IMPLEMENTED;
}

/* void UpdateXML (); */
NS_IMETHODIMP _MYCLASS_::UpdateXML()
{
    return NS_ERROR_NOT_IMPLEMENTED;
}

/* void ResetResults (); */
NS_IMETHODIMP _MYCLASS_::ResetResults()
{
    return NS_ERROR_NOT_IMPLEMENTED;
}

/* string GetLatestURL (); */
NS_IMETHODIMP _MYCLASS_::GetLatestURL(char **_retval)
{
    return NS_ERROR_NOT_IMPLEMENTED;
}

/* void InitPhish (in string agent, in string cver); */
NS_IMETHODIMP _MYCLASS_::InitPhish(const char *agent, const char *cver)
{
    return NS_ERROR_NOT_IMPLEMENTED;
}

/* void CheckCountry (in string url); */
NS_IMETHODIMP _MYCLASS_::CheckCountry(const char *url)
{
    return NS_ERROR_NOT_IMPLEMENTED;
}

/* End of implementation class template. */
#endif


#endif /* __gen_IFirePhish_h__ */
